### Class

# WebKit2 DeviceInfoPermissionRequest

since: 2.24

#### Description [src]

    class WebKit2.DeviceInfoPermissionRequest : GObject.Object
      implements WebKit2.PermissionRequest {
      priv: WebKitDeviceInfoPermissionRequestPrivate*
    }

A permission request for accessing user’s audio/video devices.

WebKitUserMediaPermissionRequest represents a request for permission to whether WebKit should be allowed to access the user’s devices information when requested through the enumerateDevices API.

When a WebKitDeviceInfoPermissionRequest is not handled by the user, it is denied by default.

Available since: 2.24

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

unstable since: 4.1

###### webkit_permission_request_deny

Deny the action which triggered this request.

unstable since: 4.1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKit2DeviceInfoPermissionRequestClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`_webkit_reserved0: void (* _webkit_reserved0) ( void )`
  No description available.
`_webkit_reserved1: void (* _webkit_reserved1) ( void )`
  No description available.
`_webkit_reserved2: void (* _webkit_reserved2) ( void )`
  No description available.
`_webkit_reserved3: void (* _webkit_reserved3) ( void )`
  No description available.